Skip to main content
PATCH
/
projects
/
{projectIdOrName}
/
connections
/
{connectionId}
:oauth-update
Generate OAuth authorization URL for existing connection
curl --request PATCH \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/connections/{connectionId}:oauth-update \
  --header 'X-Api-Key: <api-key>'
"https://login.salesforce.com/services/oauth2/authorize?client_id=xxx&redirect_uri=https%3A%2F%2Fapi.withampersand.com%2Fcallbacks%2Fv1%2Foauth&state=xxx"

Documentation Index

Fetch the complete documentation index at: https://ampersand-24eb5c1a-docs-subscribe-permission-metadata.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

Ampersand project ID or name.

connectionId
string
required

The ID of the connection to update.

Response

URL to initiate OAuth flow

The response is of type string.

Example:

"https://login.salesforce.com/services/oauth2/authorize?client_id=xxx&redirect_uri=https%3A%2F%2Fapi.withampersand.com%2Fcallbacks%2Fv1%2Foauth&state=xxx"